if RequiredScript == "lib/units/beings/player/states/playerstandard" then
	allowed_time_between_jumps = 1.0
	required_jumps = 2

	mario_jump_t = 0.0
	mario_counter = 0

    function PlayerStandard:_start_action_jump(t, action_start_data)

		if t - mario_jump_t < allowed_time_between_jumps then
			mario_counter = mario_counter + 1
			log(mario_counter)
		else
			mario_counter = 0
		end

		mario_jump_t = t

		if self._running and not self.RUN_AND_RELOAD and not self._equipped_unit:base():run_and_shoot_allowed() then
			self:_interupt_action_reload(t)
			self._ext_camera:play_redirect(self:get_animation("stop_running"), self._equipped_unit:base():exit_run_speed_multiplier())
		end
	
		self:_interupt_action_running(t)
	
		self._jump_t = t
		local jump_vec = action_start_data.jump_vel_z * math.UP
		if mario_counter >= 2 then
			jump_vec = jump_vec * 2
			mario_counter = 0
			--thanks Just Rex and zenyr
			managers.player:player_unit():sound():play("v55")
		elseif mario_counter == 1 then
			managers.player:player_unit():sound():play("g18")
		elseif mario_counter == 0 then
			managers.player:player_unit():sound():play("g13")
		end
	
		self._unit:mover():jump()
	
		if self._move_dir then
			local move_dir_clamp = self._move_dir:normalized() * math.min(1, self._move_dir:length())
			self._last_velocity_xy = move_dir_clamp * action_start_data.jump_vel_xy
			self._jump_vel_xy = mvector3.copy(self._last_velocity_xy)
		else
			self._last_velocity_xy = Vector3()
		end
	
		self:_perform_jump(jump_vec)
	end
end